Display full version of the post: help!!!!1
People, I need help... I hope somebody can answer me..
I am using AutoCAD 2007 verson and I do not know how to mesure the hozizontal distance between two points if these points have height.
The standard command DIST does not give me the horizontal distance in that case..
I hope somebody can answer me...!!!!
You can use the distance command, but exclude the z value when you select the points.Do this with a filter (type ".xy" when prompted for point), or with "osnapz" variable setting (not sure available in 2007)
First I want to apologize for not been clear enough, because in my work I need to be fast.Surely it does not take a lot of time to measure only one distance , but when you have a 30 - 40 it takes a lot of time.
The problem is I can not exclude the Z value because I need the height of the points, otherwise I would already done it.
Is there maybe a command that will automatically give you horizontal distance (maybe in AutoCAD 2008 version)???
I apolologize in not being more clear in my response :)
By "excluding z" I was referring to filtering out the z value while using the "distance" command. Not changing the points in any way. Re-read my suggestions and see if they make more sense.
1. Set OSNAPZ to 1, then run the distance command, it will give you the x-y distance.
2. Use the ".xy" filter when selecting points in the distance command, supply "0" as the z values, it will give you the x-y distance.
if you do this a lot you could make a button macro or a lisp routine.
Truly ti makes more sense now. The thing is in that I now just that basic stuff about AutoCAD, so I have know idea what lisps or macrons are.
Would it be difficult to write a lisp of that assignment???
The macro & lisp code is straightforward. What's more difficult is describing how to make a button to assign the macro to, andr how to load a lisp routine.Macro code:^C^C_distance;.xy;0;\.xy;0;\(not sure the semicolon (enter) and backslash (pause) syntax is quite rightLisp code;(defun c:dx () (command "_distance" ".xy" "0" pause ".xy" "0" pause) (princ))To load the lisp code, you could copy and paste the 4 above lines to the command line. Then run it by typing "dx".
I do not understand.. the lisp code you gave mi.. how does it work.. I copyed it into the comand line and it doesnt worh????
Did you type "dx" after copying (loading) it?See i said explaining running the lisp was more involved; it was 3 steps: copy; paste, type "dx" :)
Zupmicher
12.07.2010, 19:48
only to offset and help commands
Yes, I did as you sead, I copied it and then tiped "dx"
after that that in the command line appered this text:
Command: .xy Unknown command "XY". Press F1 for help.
Command: 0 Unknown command "0". Press F1 for help.
?????
Sorry, apparently code was not as simple as I thought, I had wrong command (distance vs dist) and wrong input order, still didn't work right. So took a different approach, try this:
[code](defun c:dx () (setq Pt1 (getpoint "\nPick first point: ")) (setq Pt2 (getpoint Pt1 "Pick second point: ")) (setq Pt1x (list (car Pt1) (cadr Pt1))) (setq Pt2x (list (car Pt2) (cadr Pt2))) (command "_dist" Pt1x pt2x) (princ))[/code]
There is stil a problem, i have copied ti into the command bar, presed Enter and tiped "dx". This text shows:
Pick first point: Pick second point: (I pick points)
And after that the program still doesnt give me the horizontal distance (it works like the normal dist command).
Am I doing something wrong, I do not understand..???
The code uses the regular "dist" command, but uses just the x-y values of the points you picked. So check the output and see if that is happening.
Arben.Allaraj
15.07.2010, 20:08
[QUOTE=Cuty]There is stil a problem, i have copied ti into the command bar, presed Enter and tiped "dx". This text shows:
Pick first point: Pick second point: (I pick points)
And after that the program still doesnt give me the horizontal distance (it works like the normal dist command).
Am I doing something wrong, I do not understand..???
[/QUOTE]
It is ok in 2009. Check this url below maybe it help you. http://www.xanadu.cz/en/download.asp?file=Dist2
Arben.Allaraj2010-07-15 20:13:15
I want to thank you for helping me in my last problem.
Now I have one question... I have installed AutoCAD R14 because I have one thing to try ...
But the problem is that when I start AutoCAD a error is shown ... It writes "MEM_BAD_POINTER" Do you know enything about that???????
This site discusses a fix:
http://www.windowsreference.com/windows-vista/fix-for-mem_bad_pointer-error-autocad-r14-in-vista/